<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>JSDoc: Class: MultiSelectComboboxItem</title>

    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css" />
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css" />
  </head>

  <body>
    <div id="main">
      <h1 class="page-title">Class: MultiSelectComboboxItem</h1>

      <section>
        <header>
          <h2>
            <span class="attribs"><span class="type-signature"></span></span>MultiSelectComboboxItem
          </h2>

          <div class="class-description">
            Component that represents an item within the multi select combobox parent component.
          </div>
        </header>

        <article>
          <div class="container-overview">
            <dl class="details">
              <dt class="tag-source">Source:</dt>
              <dd class="tag-source">
                <ul class="dummy">
                  <li>
                    <a href="multiSelectComboboxItem_multiSelectComboboxItem.js.html"
                      >multiSelectComboboxItem/multiSelectComboboxItem.js</a
                    >, <a href="multiSelectComboboxItem_multiSelectComboboxItem.js.html#line12">line 12</a>
                  </li>
                </ul>
              </dd>
            </dl>

            <h5>Example</h5>

            <pre
              class="prettyprint"
            ><code>&lt;c-multi-select-combobox-item key={item.key} item={item} onchange={handleChange}>&lt;/c-multi-select-combobox-item></code></pre>
          </div>

          <h3 class="subsection-title">Extends</h3>

          <ul>
            <li>LightningElement</li>
          </ul>

          <h3 class="subsection-title">Members</h3>

          <h4 class="name" id="item">
            <span class="type-signature"></span>item<span class="type-signature"> :Object</span>
          </h4>

          <div class="description">
            Single selectable item received from the multi select combobox parent component.
          </div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">Object</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="multiSelectComboboxItem_multiSelectComboboxItem.js.html"
                    >multiSelectComboboxItem/multiSelectComboboxItem.js</a
                  >, <a href="multiSelectComboboxItem_multiSelectComboboxItem.js.html#line17">line 17</a>
                </li>
              </ul>
            </dd>
          </dl>
        </article>
      </section>
    </div>

    <nav>
      <h2><a href="index.html">Home</a></h2>
      <h3>Classes</h3>
      <ul>
        <li><a href="Base64ToPdf.html">Base64ToPdf</a></li>
        <li><a href="CsvToDatatable.html">CsvToDatatable</a></li>
        <li><a href="CustomDatatable.html">CustomDatatable</a></li>
        <li><a href="CustomMapView.html">CustomMapView</a></li>
        <li><a href="CustomSlider.html">CustomSlider</a></li>
        <li><a href="HelloWorld.html">HelloWorld</a></li>
        <li><a href="IFrame.html">IFrame</a></li>
        <li><a href="LocalDevelopmentWrapper.html">LocalDevelopmentWrapper</a></li>
        <li><a href="MultiSelectCombobox.html">MultiSelectCombobox</a></li>
        <li><a href="MultiSelectComboboxItem.html">MultiSelectComboboxItem</a></li>
        <li><a href="OpenRecordPageFlowAction.html">OpenRecordPageFlowAction</a></li>
      </ul>
      <h3>Global</h3>
      <ul>
        <li><a href="global.html#slidesData">slidesData</a></li>
      </ul>
    </nav>

    <br class="clear" />

    <footer>
      Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 4.0.0</a> on Thu Feb 16 2023 11:49:13
      GMT+0100 (Central European Standard Time)
    </footer>

    <script>
      prettyPrint();
    </script>
    <script src="scripts/linenumber.js"></script>
  </body>
</html>
